# opendmarc_policy_library_shutdown()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    OPENDMARC_STATUS_T opendmarc_policy_library_shutdown(
    	OPENDMARC_LIB_T *lib
    );
Final shutdown of the library for use at program conclusion.
DESCRIPTION |
Called When | `opendmarc_policy_library_shutdown()` is called after multi-threading operation cease and before the program terminates.
ARGUMENTS |
Argument | Description
--- | ---
lib | The address of a structure of type `OPENDMARC_LIB_T` that your code has filled out with appropriate values.
RETURN VALUES | `DMARC_PARSE_OKAY` -- Always.
NOTES | This function is not thread safe and must only be called once and only once after multi-threading ceases and before the program terminates. If you used a TLD file, the library will free any recourses allocated for that use.

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.